=== debian/changelog ===
docopt.cpp (0.6.2-2) unstable; urgency=medium

  * Switch from git-dpm to gbp
    - Drop git-dpm configuration
    - Unapply patch queue
    - Add gbp configuration
  * Refresh and drop numbering of the patch queue
  * Fixup the VCS-Browser URI
  * Support the nocheck build profile
    - Add versioned b-dep on dpkg-dev
    - Mark test b-deps as !nocheck
    - Use DEB_BUILD_PROFILES in nocheck guards
  * Run the tests using Python 3 instead of Python 2
    - Testing now depends on any Python 3 interpreter
    - New patch Make-tests-compatible-with-Python-3.patch
  * Fixup the Maintainer and Uploaders fields
    - Move myself from Maintainer to Uploaders
    - Set the Debian Science Team as Maintainer

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 05 Mar 2017 09:17:13 +0000

docopt.cpp (0.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #847384)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 08 Dec 2016 10:52:18 +0000
