=== debian/changelog ===
docopt.cpp (0.6.3-4build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:46:11 +0200

docopt.cpp (0.6.3-4) unstable; urgency=medium

  [ Eero Aaltonen ]
  * Fix autopkgtest

 -- Tino Didriksen <tino@didriksen.cc>  Wed, 01 Nov 2023 13:02:05 +0100

docopt.cpp (0.6.3-3) unstable; urgency=medium

  * Patch to increase cmake_minimum_required to 3.5

 -- Tino Didriksen <tino@didriksen.cc>  Wed, 01 Nov 2023 11:45:03 +0100

docopt.cpp (0.6.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Tino Didriksen <tino@didriksen.cc>  Mon, 23 Oct 2023 21:38:04 +0200

docopt.cpp (0.6.3-1) experimental; urgency=medium

  [ Eero Aaltonen ]
  * New upstream release, version 0.6.3 (Closes: #965975)
    - libdocopt-dev now includes a pkgconfig file
    - note: upstream tagged commit does not include version bump,
      but upstream is ok with version increase applied in packaging
      https://github.com/docopt/docopt.cpp/issues/163

  [ Tino Didriksen ]
  * Upgrade Standard-Version to 4.6.2
  * Fix Salsa URLs
  * Only build shared library; drop static library

 -- Tino Didriksen <tino@didriksen.cc>  Fri, 20 Oct 2023 19:09:08 +0200

docopt.cpp (0.6.2-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump minimum required cmake version to 3.11 to fix autopkgtests
    (Closes: #1040733)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2023 11:52:23 +0200

docopt.cpp (0.6.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Uploading to unstable.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 17 Aug 2021 05:44:44 +0200

docopt.cpp (0.6.2-2.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Including docopt.cpp in /usr/include as referenced in docopt.h
    for packages that need it (Closes: #991256).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 18 Jul 2021 21:20:36 +0200

docopt.cpp (0.6.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patch to fix compilation with GCC 10 (Closes: #957147)

 -- Kunal Mehta <legoktm@debian.org>  Fri, 24 Jul 2020 22:34:42 -0700
