=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: docopt.cpp
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Tino Didriksen <tino@didriksen.cc>,
+           Eero Aaltonen <eero.aaltonen@vaisala.com>
 Section: libs
 Priority: optional
 Build-Depends: cmake (>= 3.1),
-               debhelper (>= 10),
-               dpkg-dev (>= 1.17.14),
+               debhelper-compat (= 13),
                python3:any <!nocheck>
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/docopt.cpp.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/docopt.cpp.git
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/science-team/docopt.cpp.git
+Vcs-Browser: https://salsa.debian.org/science-team/docopt.cpp
 Homepage: https://github.com/docopt/docopt.cpp
+Rules-Requires-Root: no
 
 Package: libdocopt0
 Architecture: any
