=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
	dh_auto_configure -- -DWITH_TESTS=ON -DBUILD_SHARED_LIBS=ON
else
	dh_auto_configure -- -DWITH_TESTS=OFF -DBUILD_SHARED_LIBS=ON
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
	./*/run_tests
endif
