=== debian/tests/control ===
Tests: docopt.cpp-examples
Depends: @, cmake, g++ | c++-compiler
