=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/docopt.cpp-$1\.tar\.gz/ \
https://github.com/docopt/docopt.cpp/tags .*/v?(\d\S*)\.tar\.gz
